Name: zz_pine_user_domain
Summary: makes it so that when a users sends mail, it has @fnal.gov appended
Version: 1.0
Release: 3
License: GPL
Group: Fermi
URL: http://fermilinux.fnal.gov
Vendor: Fermilab
Packager: Troy Dawson
Requires: alpine
BuildArch: noarch
Provides: zz_alpine_user_domain

%description

By default when a user sends mail from alpine their email address is
myname@mycomputer.fnal.gov.  This rpm changes it so that the default
is myname@fnal.gov.

%files

%post
#
# This modifies /etc/alpine/pine.conf to add fnal.gov to the user-domain
#
if [[ -e /etc/alpine/pine.conf ]]; then
    cat /etc/alpine/pine.conf | sed 's:^user-domain=$:user-domain=fnal.gov:'  > /etc/alpine/pine.conf.tmp
    mv -f /etc/alpine/pine.conf.tmp /etc/alpine/pine.conf
#    cat /etc/alpine/pine.conf | sed 's:^smtp-server=$:smtp-server=smtp.fnal.gov:'  > /etc/alpine/pine.conf.tmp
#    mv -f /etc/alpine/pine.conf.tmp /etc/alpine/pine.conf
else
    echo 'user-domain=fnal.gov' > /etc/alpine/pine.conf
#    echo 'smtp-server=smtp.fnal.gov' > /etc/alpine/pine.conf
fi

%postun
if [ "$1" = "0" ] ; then
    #
    # This modifies /etc/pine.conf to remove fnal.gov from the user-domain
    # and return to default smtp delivery
    #
    cat /etc/alpine/pine.conf | sed 's:^user-domain=fnal.gov$:user-domain=:'  > /etc/alpine/pine.conf.tmp
    mv -f /etc/alpine/pine.conf.tmp /etc/alpine/pine.conf
#    cat /etc/alpine/pine.conf | sed 's:^smtp-server=smtp.fnal.gov$:smtp-server=:'  > /etc/alpine/pine.conf.tmp
#    mv -f /etc/alpine/pine.conf.tmp /etc/alpine/pine.conf
fi

%triggerin -- alpine
# This modifies /etc/alpine/pine.conf to add fnal.gov to the user-domain
cat /etc/alpine/pine.conf | sed 's:^user-domain=$:user-domain=fnal.gov:'  > /etc/alpine/pine.conf.tmp
mv -f /etc/alpine/pine.conf.tmp /etc/alpine/pine.conf
#cat /etc/alpine/pine.conf | sed 's:^smtp-server=$:smtp-server=smtp.fnal.gov:'  > /etc/alpine/pine.conf.tmp
#mv -f /etc/alpine/pine.conf.tmp /etc/alpine/pine.conf

%changelog
* Tue Apr 03 2012 Pat Riehecky <riehecky@fnal.gov>
- Changed to use alpine instead of pine
